Excluir o canal
curl --request DELETE \
--url https://{host}/api/{session}/channels/{id} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Canal removido com sucesso"
}
Canais
Deletar Canal
Deletar um canal (deixar de seguir)
DELETE
/
api
/
{session}
/
channels
/
{id}
Excluir o canal
Descrição
Este endpoint permite deletar um canal da sua lista, o que significa deixar de seguir o canal. Note que isso não exclui o canal permanentemente, apenas remove-o da sua lista de canais seguidos.Parâmetros de URL
string
required
ID único da sessão WhatsApp autenticada
string
required
ID único do canal que deseja deletar (deixar de seguir)
Resposta
boolean
Indica se o canal foi deletado com sucesso
{
"success": true,
"message": "Canal removido com sucesso"
}
Códigos de Status
200- Canal deletado com sucesso400- ID inválido401- Não autorizado404- Canal não encontrado500- Erro interno do servidor
Exemplo de Uso
curl -X DELETE https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.delete(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}')
data = response.json()
print(data)
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Path Parameters
Response
200 - undefined
